跳转到主要内容
POST
/
v1
/
videos
Create a Veo video job
curl --request POST \
  --url https://api.cometapi.com/v1/videos \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'prompt=A paper kite floats above a field.' \
  --form input_reference='@example-file'
{
  "created_at": 1773297229,
  "id": "task_pa9CKKtYlTdxO7IIHOKKhXfjxEu4EQoR",
  "model": "veo_3_1-4K",
  "object": "video",
  "progress": 0,
  "seconds": "",
  "size": "16x9",
  "status": "queued"
}
使用本页通过共享的 CometAPI /v1/videos 路由启动一个 Veo 任务。设置 model 时,请从模型页面选择当前可用的 Veo 别名。

选择请求模式

  • 文本生成视频:不发送 input_reference 文件
  • 图片生成视频:发送一个 input_reference
  • 首帧和尾帧引导:按顺序发送两个 input_reference 文件

任务流程

1

提交 Veo 任务

发送 Veo 别名、prompt 以及可选的图片输入,然后保存返回的 id
2

轮询共享视频端点

使用 Veo3 Retrieve 跟踪异步任务,直到其进入终态。
3

持久化结果

如果你的应用需要持久副本,请将已完成的资源转移到你自己的存储中。

别名解析

Google 通过 Gemini 的长时间运行视频操作来说明 Veo,并使用诸如 veo-3.1-generate-preview 之类的模型名称。CometAPI 保留共享的 /v1/videos 路由,并在请求时从模型页面解析当前可用的 Veo 别名。在 2026-03-12 的实际验证中,使用 veo3-fast 的请求被接受并返回了一个异步任务 id,而响应中的 model 被解析为提供方模型 id,而不是回显所提交的别名。

授权

Authorization
string
header
必填

Bearer token authentication. Use your CometAPI key.

请求体

multipart/form-data
prompt
string
必填

Text prompt for the video job.

示例:

"A paper kite floats above a field."

model
string
默认值:veo3-fast

CometAPI Veo alias. Use a current Veo alias from the Models page. The response may resolve this alias to a provider model id.

示例:

"veo3-fast"

size
string

Orientation hint used by the wrapper. Use a landscape-like value such as 16x9 or a portrait-like value such as 9x16.

示例:

"16x9"

input_reference
file

Optional image input. Send one file for image-to-video or two ordered files for first-frame and last-frame guidance.

响应

200 - application/json

Task accepted.

created_at
integer
必填
id
string
必填
model
string
必填

Provider model identifier resolved by CometAPI for this task.

object
string
必填
progress
integer
必填
seconds
string
必填
size
string
必填
status
string
必填